BRepOffsetAPI_MakeOffset fail

Hello everyone.

I would like to ask, the model in the attachment is offset through BRepOffsetAPI_MakeOffset, but the offset fails.
What is the reason?
How can the modification be successful?

I am using OCCT 7.8.0.The following is the code used.

// shape is the edge in the attachment
BRepBuilderAPI_FindPlane findPlane(shape, 0.001);
BRepBuilderAPI_MakeFace makeFace(findPlane.Plane()->Pln());
TopoDS_Face face = makeFace;
BRepOffsetAPI_MakeOffset makeOffset(face, GeomAbs_JoinType::GeomAbs_Intersection,true);
BRepBuilderAPI_MakeWire makeWire(TopoDS::Edge(shape));
makeOffset.AddWire(makeWire);
makeOffset.Perform(0.1, 0);
if (makeOffset.IsDone()) {
TopoDS_Shape S = makeOffset.Shape();
}

Dmitrii Pasukhin's picture

Hello, unfortunately it is looking like a bug. We needs to analyze and fix it. As work around ou be able to operate only with parameters (tolerance, distance and types).

Please create an issue into our bugtracker.

Best regard, Dmitrii.